#{extends 'borderNG.html' /}

<ol class="breadcrumb">
	<li><a href="@{lelang.PaketCtr.index()}">&{'lelangpaket.daftar_paket'} </a>
	<li><a href="@{lelang.PaketCtr.edit(paket.pkt_id)}">&{'lelangpaket.edit_paket'} </a>
	<li class="active">&{'lelangpaket.pilih_pokja_pemilihan'}</li>
</ol>
#{alert /}
#{if flash.get('panitiaMessages') != null }
    <div class="alert alert-danger">
        &{'paketlelang.gagal_memilih_pokja'}
        ${flash.get('panitiaMessages').raw()}
    </div>
#{/if}
<div class="content">
<table class="table table-sm table-bordered">
   <tr>
        <th class="bg-warning" width="20%">&{'lelangpaket.kode_rup'}</th>
        <th>${paket?.kodeRup}</th>
    </tr>
     <tr>
        <th class="bg-warning">&{'tag.klpd'}<span class="warning"> *</span></th>
        <td>${paket?.namaInstansi}</td>
    </tr>
     <tr>
        <th class="bg-warning">&{'paketlelang.satuan_kerja'}<span class="warning"> *</span></th>
        <td>${paket?.namaSatker}</td>
    </tr>
   <tr>
       <th class="bg-warning" width="200">&{'paketlelang.nama_paket'}</th>
       <td>${paket.pkt_nama}</td>
   </tr>
</table>
<div class="card card-default">
  <div class="panel-heading">&{'paketlelang.pilih_pokja_pemilihan'}</div>
	<table class="table table-sm" id="tblPanitia">
	    <thead>
	    <tr>
	    	<th width="5" nowrap>&{'paketlelang.pokja_pemilihan'}</th>
	        <th width="20%">&{'paketlelang.nomor_sk'}</th>
	        <th>&{'paketlelang.nama'}</th>
	        <th>&{'paketlelang.tahun'}</th>
	        <th>&{'paketlelang.anggota'}</th>
	        <th width="10">&{'paketlelang.pilih'}</th>
	    </tr>
	    </thead>
	</table>
</div>
  #{backButton action:play.mvc.Router.reverse("lelang.PaketCtr.edit").add("id", paket.pkt_id).add("step", 2) /}
</div>

#{form @lelang.PaketCtr.submit_panitia(paket.pkt_id), id:'formPanitia'}
<input type="hidden" name="pntId" id="pntId" />
#{/form}

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
    var table = $("#tblPanitia").DataTable({
        language: {
            "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
            processing:   "&{'menu.processing'}",
            "sSearch":       "&{'menu.ssearch'}",
            "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
            "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
        },
        ajax: "@{DataTableCtr.pilihPanitia(oldPanitia?.pnt_id)}",
        columns: [{visible:false}, null,null,null,null, {render: function (data, type, row){
            #{if oldPanitia != null}
                var reasonUrl = '@{lelang.PaketCtr.alasanGantiPokja(paket.pkt_id,oldPanitia.pnt_id,llsId)}';
                return '<div class="text-center"><a href="'+reasonUrl+'" class="badge dialog pilih" value="'+row[0]+'">&{'paketlelang.pilih'}</a></div>';
            #{/if}
            #{else}
                return '<div class="text-center"><a href="javascript:void(0)" class="badge pilih" value="'+row[0]+'">&{'paketlelang.pilih'}</a></div>';
            #{/else}
        }}]
    });
    $('#tblPanitia_filter input').unbind();
    $('#tblPanitia_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });

$(document).on("click", ".pilih", function(){
    #{if oldPanitia != null}
        var pntId = $(this).attr('value');
        var url = $(this).attr('href');

        url = url + '&panitiaId='+pntId;
        $(this).attr('href',url);

        return true;
    #{/if}
    #{else}
	    $('#pntId').attr('value',$(this).attr('value'));
	    $('#formPanitia').submit();
    #{/else}
})
</script>
#{/set}